using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string input_raw_NL = Console.ReadLine();
            string input_raw_stalactite = Console.ReadLine();
            
            string[] input_array_stalactite_string = input_raw_stalactite.Split(' ');
            string[] input_array_NL = input_raw_NL.Split(' ');
            int[] input_array_stalactite_int = Array.ConvertAll(input_array_stalactite_string, int.Parse);
            
            int N = Convert.ToInt32(input_array_NL[0]);
            int L = Convert.ToInt32(input_array_NL[1]);
           
            int index = -1;
            for(int i = 0; i < N; i++)
            {
                if (input_array_stalactite_int[i] <= L)
                {
                    index = i + 1;
                    break;
                }
            }
            Console.WriteLine(index);
            Console.ReadLine();
        }
    }
}